|  | Home · All Classes · Modules

# QAbstractSpinBox.StepEnabled Class Reference
[QtGui module]

### Methods

- __init__ (self, StepEnabled)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- StepEnabled __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, StepEnabled f)
- StepEnabled __iand__ (self, int mask)
- int __int__ (self)
- StepEnabled __invert__ (self)
- StepEnabled __ior__ (self, StepEnabled f)
- StepEnabled __ixor__ (self, StepEnabled f)
- bool __ne__ (self, StepEnabled f)
- StepEnabled __or__ (self, StepEnabled f)
- StepEnabled __or__ (self, int f)
- StepEnabled __xor__ (self, StepEnabled f)
- StepEnabled __xor__ (self, int f)

## Detailed Description

StepEnabledFlag may be used whenever StepEnabled is expected.

## Method Documentation

### StepEnabled.__init__ (self, StepEnabled)

### StepEnabled.__init__ (self, int)

### StepEnabled.__init__ (self)

### StepEnabled StepEnabled.__and__ (self, int mask)

### int StepEnabled.__bool__ (self)

### bool StepEnabled.__eq__ (self, StepEnabled f)

### StepEnabled StepEnabled.__iand__ (self, int mask)

### int StepEnabled.__int__ (self)

### StepEnabled StepEnabled.__invert__ (self)

### StepEnabled StepEnabled.__ior__ (self, StepEnabled f)

### StepEnabled StepEnabled.__ixor__ (self, StepEnabled f)

### bool StepEnabled.__ne__ (self, StepEnabled f)

### StepEnabled StepEnabled.__or__ (self, StepEnabled f)

### StepEnabled StepEnabled.__or__ (self, int f)

### StepEnabled StepEnabled.__xor__ (self, StepEnabled f)

### StepEnabled StepEnabled.__xor__ (self, int f)